Subject: Re: bug#47949: Failed to produce output path for guix-package-cache

From: Maxime Devos <[email-masked]>
Date: Sat, 29 Oct 2022 16:42:25 +0200

On 28-10-2022 22:23, Vagrant Cascadian wrote:
>[...]
>> Maybe that's a clue pointing to the crufty .cache directories?
> 
> Well, after removing ~/.cache/guix/checkouts/ I haven't had the problem
> again, with several successful pulls.
> 
> This suggests to me that guix should make sure to not use a dirty
> checkout to prevent this in the future ... either exporting the guix
> tree it's working with to a temporary location, or something like
> running "git clean -dfx" before using the checkout...
>

A (similar) problem was reported previously but I couldn't find it 
anymore.  A proposed solution was to use temporary git worktrees ("git 
clean -dfx" wouldn't be sufficient in context of concurrent "guix 
time-machine").

Greetings,
Maxime.